package fucoin.actions.persist;

import akka.actor.ActorRef;
import akka.actor.UntypedActorContext;
import fucoin.AbstractWallet;
import fucoin.Wallet;

// Used to return a searched Wallet
public class ActionSearchMyWalletAnswer extends Persist {
	public final AbstractWallet w;
    public ActionSearchMyWalletAnswer(AbstractWallet w) {
        this.w = w;
    }
	@Override
	protected void onAction(ActorRef sender, ActorRef self,
			UntypedActorContext context, Wallet wallet) {
		wallet.setAmount(w.amount);
		sender.tell(new ActionInvalidate(wallet.name), self);
	}
}
