package fucoin.actions.transaction;

import akka.actor.ActorRef;
import akka.actor.UntypedActorContext;
import fucoin.Wallet;

public class ActionInvokeSentMoney2 extends Transaction{
	public final String name;
	public final int amount;
    public ActionInvokeSentMoney2(String name, int amount) {
    	this.name=name;
        this.amount = amount;
    }
	@Override
	protected void onAction(ActorRef sender, ActorRef self,
			UntypedActorContext context, Wallet wallet) {
		if(wallet.getKnownNeighbors().containsKey(name)){
			wallet.addAmount(-amount);
			wallet.getKnownNeighbors().get(name).tell(new ActionReceiveTransaction(amount), self);
		}
	}
}
